Get an existing key on a keystore

Get an existing key(s) on a keystore based on its name

Path parameters
keystoreName
string required
keyName
string required
Responses
  • 200 The Private key
    name
    string required

    The Private Key's name

    keystore
    string required

    The Keystore's name on which this Key is stored

    description
    string (Key type) required

    The key type

    Enum rsa-1024 rsa-2048 rsa-3072 rsa-4096 rsa-8192 ec-secp256r1 ec-secp384r1 ec-secp521r1 ec-brainpoolp256r1 ec-brainpoolp384r1 ec-brainpoolp512r1 ed-25519 ed-448 mldsa-44 mldsa-65 mldsa-87 mldsa-44sha512 mldsa-65sha512 mldsa-87sha512 slhdsa-sha2-128s slhdsa-sha2-128f slhdsa-sha2-192s slhdsa-sha2-192f slhdsa-sha2-256s slhdsa-sha2-256f slhdsa-sha2-128ssha256 slhdsa-sha2-128fsha256 slhdsa-sha2-192ssha512 slhdsa-sha2-192fsha512 slhdsa-sha2-256ssha512 slhdsa-sha2-256fsha512
    extractable
    boolean required

    If true, this Key can be extracted from the Keystore

    alias
    string

    The Private Key's alias

    modifiable
    boolean

    If true, this Key can be extracted from the Keystore

    hardwareProtected
    boolean

    If the key is protected by hardware

    enforcedHashAlgorithm
    string (Hash Algorithm)

    This Key's Hash Algorithm

    Enum SHA1 SHA224 SHA256 SHA384 SHA512 SHA3_224 SHA3_256 SHA3_384 SHA3_512
  • 401 Unauthorized request
  • 403 Forbidden action
  • 404 Not Found
  • 500 Internal Server error